=pod

=head1 NAME

OpenAIAsync::Types::Results::LogProbs

=head1 DESCRIPTION

An object representing Log Probabilities from the LLM.

=head1 SYNOPSIS

  ... TODO? difficult to make an example

=head1 Fields

=head2 text_offset

Which position in the resulting text this log probability represents

=head2 token_logprobs

=head2 tokens

=head2 top_logprobss

Not available on my local ai server, will update in next set of changes from how OpenAI implements them

=head1 SEE ALSO

L<OpenAIAsync::Types::Request::Completion>, L<OpenAIAsync::Types::Result::Completion>, L<OpenAIAsync::Client>

=head1 AUTHOR

Ryan Voots ...

=cut